﻿using System;
using Eto.Drawing;
using Eto.Forms;
using Rhino.UI;
using Rhino.UI.Controls;
using static Rhino.UI.Controls.RhinoLayout;

namespace SampleCsEto.Views
{
    
    [System.Runtime.InteropServices.Guid("143ae3f7-3b9d-4964-afc3-759de81d029e")]
    public class SampleCsEtoPanel2 : Panel
    {
   
        ToggleButton tV1 = new ToggleButton();
        Button tL1 = new Button();
   
        public static System.Guid PanelId => typeof(SampleCsEtoPanel2).GUID;
 
        public SampleCsEtoPanel2()
        {
            RhinoLayout.DisablePanelColorStyling(this);
        
            Padding = 0;
            Title = GetType().Name;
          //  BackgroundColor = Eto.Drawing.Colors.White;

            int stL = 350;
            int stV = 40;

            CheckBox check = new CheckBox();
            check.Checked = true;

            Expander xpdr = new Expander();
            xpdr.Header = "LAYERS";
            xpdr.Padding = 0;
            xpdr.Expanded = true;
            xpdr.BackgroundColor = Eto.Drawing.Colors.Violet;
  
            tV1.Size = new Size(stV, stV);
            tV1.BackgroundColor = Eto.Drawing.Colors.Blue;
            tV1.Click += (sender, e) => OnCtrl1();

            tL1.Size = new Size(stV, stV);
            tL1.BackgroundColor = Eto.Drawing.Colors.Yellow;
            tL1.Click += (sender, e) => OnCtrl1();


            var layout = new DynamicLayout
            {
                DefaultSpacing = new Size(2, 2),
                Padding = new Padding(2),
               // BackgroundColor = Eto.Drawing.Colors.Coral,

            };

            StackLayout stack1 = new StackLayout()
            {
                Size = new Size(stL, stV),
                //Padding = 2,
                Spacing = 0,
               // BackgroundColor = Eto.Drawing.Color.FromArgb(85,0,0,85),
                Orientation = Orientation.Horizontal,
            };
            stack1.Items.Add(check);
            stack1.Items.Add(tV1);
            stack1.Items.Add(tL1);

            layout.Add(stack1);  
            xpdr.Content = layout;

            Content = xpdr;
           // DisablePanelColorStyling(tV1, DisablePanelColorStylingProperty.Background);
           // DisablePanelColorStyling(tL1, DisablePanelColorStylingProperty.All);
           // DisablePanelColorStyling(stack1, DisablePanelColorStylingProperty.All);
           // DisablePanelColorStyling(xpdr, DisablePanelColorStylingProperty.All);
           // DisablePanelColorStyling(layout, DisablePanelColorStylingProperty.All);
            
        }

        public string Title { get; }

        private void OnCtrl1()
        {
            Rhino.RhinoApp.WriteLine("01");

        }

        private void OnCtrl2()
        {
            Rhino.RhinoApp.WriteLine("02");

        }


        void OnDataChanged(object sender, Rhino.UI.Controls.DataSource.EventArgs args)
        {

        }

        private void RegisterControlEvents()
        {

        }

        private void UnRegisterControlEvents()
        {

        }

    
    }
}